com.google.web.bindery.requestfactory.server

## Class RequestFactoryJarExtractor.JarEmitter

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor.JarEmitter

All Implemented Interfaces:
  RequestFactoryJarExtractor.Emitter

Enclosing class:
  RequestFactoryJarExtractor

    public static class RequestFactoryJarExtractor.JarEmitter
    extends java.lang.Object
    implements RequestFactoryJarExtractor.Emitter

An Emitter implementation that creates a jar file.

### Constructor Summary

Constructors
Constructor and Description
`JarEmitter(java.io.File outFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `emit(java.lang.String path, java.io.InputStream contents)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarEmitter

    public JarEmitter(java.io.File outFile)
               throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `RequestFactoryJarExtractor.Emitter`
Throws:
  `java.io.IOException`

#### emit

    public void emit(java.lang.String path,
                     java.io.InputStream contents)
              throws java.io.IOException

Specified by:
  `emit` in interface `RequestFactoryJarExtractor.Emitter`
Throws:
  `java.io.IOException`